<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:06 +0000">

<link rel="stylesheet" type="text/css" href="../../../stylesheet.css">
<link rel="start" href="../../../overview-summary.html">

<title>anInterface (PHPDoctor)</title>

</head>
<body id="definition" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../../../phpdoctor/tests/data/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../../../phpdoctor/tests/data/package-tree.html">Tree</a></li>
<li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../phpdoctor/tests/data/aninterface.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<div class="qualifiedName">PHPDoctor\Tests\Data\anInterface</div>
<a href="../../../source/tests/cases/data/php5-test.php.html#line41" class="location">tests/cases/data/php5-test.php at line 41</a>

<h1>Interface anInterface</h1>

<pre class="tree"><strong>anInterface</strong><br /></pre>

<hr>

<p class="signature">public  interface <strong>anInterface</strong></p>

<div class="comment" id="overview_description"><p>This is some text.</p><p>A link to a fully qualified class <code>PHPDoctor\Tests\FileLevel\aPrivateInterface</code> somewhere else.</p><p>A link to a non-qualified class <code>aPrivateInterface</code> somewhere else.</p><p>A link to a non-existant class <code>aNonExistantClass</code> somewhere else.</p><p>A link to a class in a non-existant package <code>PHPDoctor\aPrivateInterface</code> somewhere else.</p><p>A link to an element in a fully qualified class <code><a href="../../../phpdoctor/tests/data/aclass.html#aVar">PHPDoctor\Tests\Data\aClass#aVar</a></code> somewhere else.</p><p>A link to an element in a fully qualified class <code><a href="../../../phpdoctor/tests/data/aclass.html#aVar">PHPDoctor\Tests\Data\aClass::aVar</a></code> (alternative syntax) somewhere else.</p><p>A link to an element with $ in a fully qualified class <code><a href="../../../phpdoctor/tests/data/aclass.html#aVar">PHPDoctor\Tests\Data\aClass#$aVar</a></code> somewhere else.</p><p>A link to a method in a fully qualified class <code>PHPDoctor\Tests\Data\aClass#aFunction</code> somewhere else.</p><p>A link to a rooted fully qualified class <code><a href="../../../phpdoctor/tests/data/aclass.html">\PHPDoctor\Tests\Data\aClass</a></code> somewhere else.</p><p>A link to a method with parenthesis in a fully qualified class <code>PHPDoctor\Tests\Data\aClass#aFunction()</code> somewhere else.</p><p>A link to a website <code><a href="http://www.google.com">http://www.google.com</a></code> somewhere else.</p><p>A link to a website <code><a href="http://www.google.com">Google</a></code> with a name.</p><p>Another line</p></div>

<dl>
<dt>See Also:</dt>
<dd>Something else</dd>
<dt>Todo:</dt>
<dd>More stuff</dd>
</dl>
<hr>

<table id="summary_field">
<tr><th colspan="2">Constant Summary</th></tr>
<tr>
<td class="type">final static  str</td>
<td class="description"><p class="name"><a href="#aConst">aConst</a></p></td>
</tr>
<tr>
<td class="type">final static  int</td>
<td class="description"><p class="name"><a href="#anIntConst">anIntConst</a></p><p class="description">Some words about this constant</p></td>
</tr>
<tr>
<td class="type">final static  int</td>
<td class="description"><p class="name"><a href="#multipleConsts1">multipleConsts1</a></p></td>
</tr>
<tr>
<td class="type">final static  int</td>
<td class="description"><p class="name"><a href="#multipleConsts2">multipleConsts2</a></p></td>
</tr>
<tr>
<td class="type">final static  int</td>
<td class="description"><p class="name"><a href="#multipleConsts3">multipleConsts3</a></p></td>
</tr>
</table>

<h2 id="detail_field">Constant Detail</h2>
<a href="../../../source/tests/cases/data/php5-test.php.html#line43" class="location">tests/cases/data/php5-test.php at line 43</a>

<h3 id="aConst">aConst</h3>
<code class="signature">public final static  str <strong>aConst</strong> = 'const'</code>
<div class="details">
</div>

<hr>

<a href="../../../source/tests/cases/data/php5-test.php.html#line50" class="location">tests/cases/data/php5-test.php at line 50</a>

<h3 id="anIntConst">anIntConst</h3>
<code class="signature">public final static  int <strong>anIntConst</strong> = 0</code>
<div class="details">
<p>Some words about this constant</p></div>

<hr>

<a href="../../../source/tests/cases/data/php5-test.php.html#line58" class="location">tests/cases/data/php5-test.php at line 58</a>

<h3 id="multipleConsts1">multipleConsts1</h3>
<code class="signature">public final static  int <strong>multipleConsts1</strong> = 1</code>
<div class="details">
</div>

<hr>

<a href="../../../source/tests/cases/data/php5-test.php.html#line58" class="location">tests/cases/data/php5-test.php at line 58</a>

<h3 id="multipleConsts2">multipleConsts2</h3>
<code class="signature">public final static  int <strong>multipleConsts2</strong> = 2</code>
<div class="details">
</div>

<hr>

<a href="../../../source/tests/cases/data/php5-test.php.html#line58" class="location">tests/cases/data/php5-test.php at line 58</a>

<h3 id="multipleConsts3">multipleConsts3</h3>
<code class="signature">public final static  int <strong>multipleConsts3</strong> = 3</code>
<div class="details">
</div>

<hr>

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../../../phpdoctor/tests/data/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../../../phpdoctor/tests/data/package-tree.html">Tree</a></li>
<li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../phpdoctor/tests/data/aninterface.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>